#
# spec file for package python-django-formtools
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without tests

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-django-formtools
Version:        2.1
Release:        lp150.1.1
Summary:        A set of high-level abstractions for Django forms
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/django/django-formtools
Source:         https://files.pythonhosted.org/packages/source/d/django-formtools/django-formtools-%{version}.tar.gz
BuildRequires:  %{python_module Django >= 1.8}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module isort}
%endif
Requires:       python-Django >= 1.8
BuildArch:      noarch
%python_subpackages

%description
Django's "formtools" is a set of high-level abstractions for Django forms.
Currently for form previews and multi-step forms.

%prep
%setup -q -n django-formtools-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%if %{with tests}
%check
export DJANGO_SETTINGS_MODULE=tests.settings
export PYTHONPATH=`pwd`
%python_expand %{_bindir}/django-admin.py-%{$python_bin_suffix} test tests --pythonpath=`pwd` 
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc AUTHORS.rst LICENSE README.rst
%{python_sitelib}/*

%changelog
* Thu Mar  1 2018 toddrme2178@gmail.com
- Update to version 2.1
  * Added testing for Django 1.11 (no code changes were required).
  * Added support for Django 2.0.
  * Dropped testing for Python 3.3 (now end-of-life) on Django 1.8.
- Fix unit tests
- Implement singlespec version
* Wed Jun 14 2017 aplanas@suse.com
- Initial package
